# frozen_string_literal: true
# checker Api::Dmo::HermesController avant d'ajouter des méthodes
module Hermes
  module Api
    module Dmo
      class SignupUserNotificationPreferencesController < Hermes::Api::Dmo::ApplicationController
        skip_before_filter :verify_authenticity_token, :set_user, :allow_true_user, :check_if_log_as
        skip_after_action :log_action

        VALID_OPERATORS = %w[
          $in
          $nin
          $ne
          $gt
          $gte
          $lt
          $lte
          $regex
        ].freeze

        ACCEPTABLE_PARAMS = %w[
          email
          notification_key
          want_to_be_subscribed
          used_at
        ].freeze

        REGEX_PARAMS = %w[
          email
        ].freeze

        MUTATE_PARAMS = %i[
          email
          notification_key
          want_to_be_subscribed
        ].freeze

        mutate_params_only(*MUTATE_PARAMS)

        def create
          @instance = @model.new(mutate_valid_params)
          return respond_with_errors(@instance) unless @instance.save

          render(jsonapi: @instance, serializer: @serializer, status: :created)
        end

        def user_notifications_list 
          render(json: NOTIFICATION_KEYS[:user])
        end 

      end
    end
  end
end
